Package org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.legacy

# Interface IStreamContentAccessor

All Known Implementing Classes:
  `ResourceStreamAccessorImpl`, `StringAttributeChangeAccessor`

public interface IStreamContentAccessor
An `IStreamContentAccessor` object represents a set of bytes which can be accessed by means of a stream.

Clients may implement this interface, or use the standard implementation, `BufferedContent`.

This was initially copy pasted from org.eclipse.compare.IStreamContentAccessor

Since:
  4.0
See Also:
  - `BufferedContent`

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getContents()`
Returns an open `InputStream` for this object which can be used to retrieve the object's content.

## Method Details

### getContents

InputStream getContents() throws org.eclipse.core.runtime.CoreException
Returns an open `InputStream` for this object which can be used to retrieve the object's content. The client is responsible for closing the stream when finished. Returns `null` if this object has no streamable contents.

Returns:
  an input stream containing the contents of this object
Throws:
  `org.eclipse.core.runtime.CoreException` - if the contents of this object could not be accessed